FileForms
Organization

Update Organization

PATCH
/organization

Update your organization settings. All fields are optional; only the provided fields are updated. Setting billedUsers requires billing to be onboarded.

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/organization" \  -H "Content-Type: application/json" \  -d '{}'
{  "name": "string",  "domain": "string",  "subdomain": "string",  "logoUrl": "string",  "iconUrl": "string",  "primaryColor": "string",  "primaryTextColor": "string",  "surfaceColor": "string",  "surfaceTextColor": "string",  "replyToEmail": "string",  "websiteUrl": "string",  "billedUsers": "admin",  "invoicedEnabled": true,  "showPrices": true,  "signupDisabled": true,  "signupKeys": [    "string"  ],  "supportChatEnabled": true,  "notifications": {    "documentUploadedEmail": true,    "filingStatusEmail": true,    "annualReportReminderEmail": true,    "paymentCompletedEmail": true  },  "createdAt": "2019-08-24T14:15:22Z"}